SystemOrganization addCategory: 'ConfigurationOfOrbeon'!

BaselineOf subclass: #BaselineOfOrbeon
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeon'!

!BaselineOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/20/2015 17:59'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'XMLSupport'
         with: [ spec
					 className: 'ConfigurationOfXMLSupport';
					 versionString: '1.2.2.1';
					 loads: #('Core');
					 file: 'ConfigurationOfXMLSupport';
					 repository: 'http://www.squeaksource.com/XMLSupport' ].
       spec package: 'Orbeon-BrunoBB' with: [ spec requires: 'XMLSupport' ] ]! !

ConfigurationOf subclass: #ConfigurationOfOrbeon
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeon'!

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 09/22/2015 13:26'!
baseline1175: spec
	<version: '1.175-baseline'>
 
	spec for: #common do: [
        spec blessing: #baseline.
		spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
		spec project: 'XMLSupport' with: [
			spec className: 'ConfigurationOfXMLSupport';
				versionString: '1.2.2.1';
				loads: #('Core');
				file: 'ConfigurationOfXMLSupport';
				repository: 'http://www.squeaksource.com/XMLSupport'].
		spec 	
			package: 'Orbeon' with: [spec requires: 'XMLSupport'].
	].! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 01/28/2016 12:55'!
baseline1205: spec
	<version: '1.205-baseline'>
 
	spec for: #common do: [
        spec blessing: #baseline.
		spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
		spec project: 'XMLParser' with: [
			spec className: 'ConfigurationOfXMLParser';
				loads: #('default');
				versionString: '#stable';
				file: 'ConfigurationOfXMLParser';
				repository: 'http://www.smalltalkhub.com/mc/PharoExtras/XMLParser/main'].

		spec project: 'XPath' with: [
			spec className: 'ConfigurationOfXPath';
				loads: #('default');
				versionString: '#stable';
				file: 'ConfigurationOfXPath';
				repository: 'http://www.smalltalkhub.com/mc/PharoExtras/XPath/main'].

		spec package: 'XPath-Core' with: [ spec requires: 'XMLParser' ].
		spec package: 'XPath-Tests' with: [ spec requires: 'XPath-Core' ].
		spec package: 'Orbeon' with: [spec requires: #('XMLParser' 'XPath-Core')].
	].! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 01/28/2016 12:02'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '1.205-baseline'.! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 01/23/2016 14:00'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '1.205'.! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 01/23/2016 14:00'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '1.205'.! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 01/23/2016 14:00'!
version1175: spec
	<version: '1.175' imports: #('1.175-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'BrunoBB'.
		spec project: 'XMLSupport' with: '1.2.2.1'.
		spec package: 'Orbeon' with: 'Orbeon-BrunoBB.1205'.

	]! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 01/28/2016 12:43'!
version1205: spec
	<version: '1.205' imports: #('1.205-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'BrunoBB'.
		spec project: 'XMLParser' with: '2.5.9'.
		spec project: 'XPath' with: '1.5.8'.
		spec package: 'XPath-Core' with: 'XPath-Core-monty.68'.
		spec package: 'XPath-Tests' with: 'XPath-Tests-monty.59'.
		spec package: 'Orbeon' with: 'Orbeon-BrunoBB.1205'.

	]! !

!ConfigurationOfOrbeon methodsFor: 'other' stamp: 'BrunoBB 01/23/2016 14:00'!
versionNumberClass
     ^MetacelloVersionNumber! !
